> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Location

> Create a new location



## OpenAPI

````yaml post /location
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /location:
    post:
      tags:
        - Location
      summary: Create Location
      description: Create a new location
      parameters:
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/location'
        description: location
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/location'
          description: The updated Location object
        '201':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/location'
                    title: Location
                  - title: Empty
                    type: object
                    properties: {}
          description: The Location was created
        '204':
          content: {}
          description: No Content
components:
  schemas:
    location:
      type: object
      properties:
        id:
          type: string
          description: Location ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        name:
          type: string
          description: Name of the location
          format: text
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        street:
          type: string
          description: Street address
          format: text
          nullable: true
        postal_code:
          type: string
          description: Postal or ZIP code
          format: text
          nullable: true
        city:
          type: string
          description: City
          format: text
          nullable: true
        region:
          type: string
          description: Region or state
          format: text
          nullable: true
        iso_country:
          type: string
          description: ISO 3166-1 alpha-2 country code
          format: text
          nullable: true
        address_line:
          type: string
          description: Full formatted address line (generated)
          format: text
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````